Update a loyalty tier

Change a tier's name, threshold, multiplier, benefits, color or order (partial update).

Endpoint

PATCH
/loyalty-tiers/:id

Body parameters

NameTypeRequiredDescription
namestringNoTier name.
thresholdnumberNoValue needed to reach the tier.
earn_multipliernumberNo0 to 100.
benefitsstring | nullNoBenefits text.
colorstring | nullNoColor.
sort_orderintegerNoDisplay order.

program_id and organization_id cannot be changed.

Request

Response

Returns the updated tier. Every member of the program is re-evaluated in the background.

Errors

StatusMessage / cause
400 Bad RequestThe program cannot be changed
400 Bad RequestRecord not found (unknown or deleted tier).

Report an issue with this documentation

Please log in to report issues with our documentation.